Package com.io7m.cardant.server.controller.command_exec

# Interface CACommandExecutorType<C extends CACommandContext<R>,M extends CAProtocolMessageType,R extends CAProtocolMessageType>

Type Parameters:
  `C` - The type of command contexts
  `M` - The type of accepted commands
  `R` - The type of responses

All Known Implementing Classes:
  `CAICmdAbstract`, `CAICmdAuditSearchBegin`, `CAICmdAuditSearchNext`, `CAICmdAuditSearchPrevious`, `CAICmdFileGet`, `CAICmdFilePut`, `CAICmdFileRemove`, `CAICmdFileSearchBegin`, `CAICmdFileSearchNext`, `CAICmdFileSearchPrevious`, `CAICmdItemAttachmentAdd`, `CAICmdItemAttachmentRemove`, `CAICmdItemCreate`, `CAICmdItemGet`, `CAICmdItemLocationsList`, `CAICmdItemMetadataPut`, `CAICmdItemMetadataRemove`, `CAICmdItemReposit`, `CAICmdItemSearchBegin`, `CAICmdItemSearchNext`, `CAICmdItemSearchPrevious`, `CAICmdItemSetName`, `CAICmdItemsRemove`, `CAICmdItemTypesAssign`, `CAICmdItemTypesRevoke`, `CAICmdLocationAttachmentAdd`, `CAICmdLocationAttachmentRemove`, `CAICmdLocationGet`, `CAICmdLocationMetadataPut`, `CAICmdLocationMetadataRemove`, `CAICmdLocationPut`, `CAICmdLocationsList`, `CAICmdLocationTypesAssign`, `CAICmdLocationTypesRevoke`, `CAICmdRolesAssign`, `CAICmdRolesGet`, `CAICmdRolesRevoke`, `CAICmdTypePackageGetText`, `CAICmdTypePackageInstall`, `CAICmdTypePackageSearchBegin`, `CAICmdTypePackageSearchNext`, `CAICmdTypePackageSearchPrevious`, `CAICmdTypePackageUninstall`, `CAICmdTypePackageUpgrade`, `CAICmdTypeRecordGet`, `CAICmdTypeRecordSearchBegin`, `CAICmdTypeRecordSearchNext`, `CAICmdTypeRecordSearchPrevious`, `CAICmdTypeScalarGet`, `CAICmdTypeScalarSearchBegin`, `CAICmdTypeScalarSearchNext`, `CAICmdTypeScalarSearchPrevious`, `CAICommandExecutor`

public interface CACommandExecutorType<C extends CACommandContext<R>,M extends CAProtocolMessageType,R extends CAProtocolMessageType>
The type of command executors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `R`
  `execute(C context, M command)`
  Execute a command.

- ## Method Details

  - ### execute

    R execute(C context, M command) throws CACommandExecutionFailure, IOException, InterruptedException
    Execute a command.
    Parameters:
      `context` - The execution context
      `command` - The command
    Returns:
      The result of execution
    Throws:
      `CACommandExecutionFailure` - On errors
      `InterruptedException` - On interruption
      `IOException` - On I/O errors